# $Revision: 1.22 $, $Date: 2010/12/11 21:39:03 $
%define		_modname	sasl
%define		_status		alpha
Summary:	%{_modname} - Cyrus SASL extension
Summary(pl.UTF-8):	%{_modname} - rozszerzenie Cyrus SASL
Name:		php-pecl-%{_modname}
Version:	0.1.0
Release:	9
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	8431731cc8a7921a2922af23a57a572f
Patch0:		%{name}-lib_fix.patch
Patch1:		%{name}-lib64_fix.patch
URL:		http://pecl.php.net/package/sasl/
BuildRequires:	cyrus-sasl-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SASL is the Simple Authentication and Security Layer (as defined by
RFC 2222). It provides a system for adding plugable authenticating
support to connection-based protocols. The SASL extension for PHP
makes the Cyrus SASL library functions available to PHP. It aims to
provide a 1-to-1 wrapper around the SASL library to provide the
greatest amount of implementation flexibility. To that end, it is
possible to build both a client-side and server-side SASL
implementation entirely in PHP.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
SASL to warstwa prostego uwierzytelnienia i bezpieczeństwa (Simple
Authentication and Security Layer) zdefiniowana w RFC 2222. Dostarcza
system do dodawania wtyczek obsługujących uwierzytelnianie do
protokołów opartych na połączeniach. Rozszerzenie SASL dla PHP
udostępnia w PHP funkcje biblioteki Cyrus SASL. Celem jest
dostarczenie obudowania 1-do-1 biblioteki SASL, aby udostępnić jak
największą elastyczność implementacji. W tym celu możliwe jest
zbudowanie zarówno klienckiej jak i serwerowej implementacji SASL
całkowicie w PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
# Ugly, could be done somehow prettier (one combined patch?)
%if "%{_lib}" == "lib64"
%patch1 -p1
%else
%patch0 -p1
%endif

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/docs/TODO
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-sasl.spec,v $
Revision 1.22  2010/12/11 21:39:03  arekm
- release 9

Revision 1.21  2010/06/02 15:53:35  glen
- release 8

Revision 1.20  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.19  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.17  2007/01/02 20:06:52  glen
- use new php extension related macros

Revision 1.16  2006/12/13 23:35:36  glen
- rel 7 (php 5.2.0)

Revision 1.15  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.14  2005/12/22 12:12:13  glen
- rel 6 (rebuild with new php)

Revision 1.13  2005/10/30 13:29:36  glen
- rel 5

Revision 1.12  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.11  2005/09/14 22:34:17  glen
- rel 3

Revision 1.10  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.9  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.8  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.7  2004/08/12 06:38:32  qboosh
- pl desc

Revision 1.6  2004/08/08 10:26:13  adamg
- release 2

Revision 1.5  2004/08/08 10:21:16  adamg
- one more try to build this on amd64

Revision 1.4  2004/08/08 10:14:39  adamg
- try to build this on amd64

Revision 1.3  2004/08/08 10:11:29  ankry
- cosmetics

Revision 1.2  2004/08/08 09:57:40  adamg
- added lib_fix.patch (try to find dynamic libraries, not static ones)

Revision 1.1  2004/08/08 09:51:32  adamg
- new
